Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List pipeline lint

GET/workspaces/{organizationId}/pipeline/lint
Path parameters
organizationIdstringrequired
Responses
200

Referential-integrity lint: agent types pointing at unknown providers, and stage templates/configs whose ownerAgent slug has no agent type

findingsobject[]required
Show properties
Array of object
kindstringrequired
Allowed:unknown_providerunresolved_owner_templateunresolved_owner_config
idstringrequired
detailstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/pipeline/lint' \
  -H 'Accept: application/json'
Response
{
  "findings": [
    {
      "kind": "unknown_provider",
      "id": "string",
      "detail": "string"
    }
  ]
}

Was this page helpful?